Retrieve all VPC Prefixes

View as Markdown

Retrieve all VPC Prefixes for the org

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter VPC Prefixes by Site, required if the vpcId query parameter is not specified
vpcIdstringOptionalformat: "uuid"
Filter VPC Prefixes by VPC
statusstringOptional
Filter VPC Prefixes by Status
querystringOptional
Search for matches across all VPC Prefixes. Input will be matched against name and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
includeUsageStatsbooleanOptional

When true, each VPC Prefix with IPv4 includes IPv4 usage statistics using the same structure as IP Block usage. Usage is derived from associated Ethernet interfaces and their IPv4 addresses. IP usage counts two addresses per interface, while prefix usage counts each distinct /31 containing an assigned IPv4 address.

pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the VPCPrefix
namestringOptional2-256 characters
Name of the VPC Prefix
siteIdstringOptionalformat: "uuid"
ID of the Site the VPC Prefix belongs to
vpcIdstringOptionalformat: "uuid"
ID of the VPC the VPC Prefix belongs to
ipBlockIdstring or nullOptionalformat: "uuid"
ID of the IP Block that contains the prefix of the VPC Prefix
prefixstring or nullOptional
The network prefix including prefix length in CIDR notation
prefixLengthintegerOptional
Length of the returned prefix. A VPC Prefix reported by a Site may fall outside the bounds for REST create requests.
statusenumOptional
Status of the VPC Prefix
usageStatsobjectOptional

Present when query parameter includeUsageStats=true and the VPC Prefix has IPv4. This statistic reports IPv4 usage only. IP usage counts two addresses per associated Ethernet interface, while prefix usage counts each distinct /31 containing an assigned IPv4 address.

statusHistorylist of objectsOptionalRead-only
Details of 20 most recent status changes
createddatetimeOptionalRead-only
Date and time when the VPC Prefix was created
updateddatetimeOptionalRead-only
Date and time when the VPC Prefix was updated

Errors

403
Forbidden Error